Debian Bug report logs - #420010
libapache2-mod-auth-mysql: Automatic reconnect on lost MySQL connections

version graph

Package: libapache2-mod-auth-mysql; Maintainer for libapache2-mod-auth-mysql is Joey Schulze <joey@debian.org>; Source for libapache2-mod-auth-mysql is src:mod-auth-mysql.

Reported by: Johann Glaser <glaser@ict.tuwien.ac.at>

Date: Thu, 19 Apr 2007 12:33:02 UTC

Severity: normal

Found in version libapache-mod-auth-mysql/4.3.9-3

Fixed in version libapache-mod-auth-mysql/4.3.9-5

Done: Matej Vela <vela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, glaser@ict.tuwien.ac.at, Debian QA Group <packages@qa.debian.org>:
Bug#420010; Package libapache2-mod-auth-mysql. Full text and rfc822 format available.

Acknowledgement sent to Johann Glaser <glaser@ict.tuwien.ac.at>:
New Bug report received and forwarded. Copy sent to glaser@ict.tuwien.ac.at, Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johann Glaser <glaser@ict.tuwien.ac.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache2-mod-auth-mysql: Automatic reconnect on lost MySQL connections
Date: Thu, 19 Apr 2007 14:31:27 +0200
Package: libapache2-mod-auth-mysql
Version: 4.3.9-3
Severity: normal

Debian Etch uses MySQL 5.0.32. When upgrading from 4.1 (which was used by
Debian Sarge) several things have to be considered as mentioned at
  http://dev.mysql.com/doc/refman/5.0/en/upgrading-from-4-1.html

There is stated quite at the bottom (before the user comments):
--- snip ---
The reconnect flag in the MYSQL structure is set to 0 by
mysql_real_connect(). Only those client programs which did not explicitly
set this flag to 0 or 1 after mysql_real_connect() experience a change.
Having automatic reconnection enabled by default was considered too
dangerous (due to the fact that table locks, temporary tables, user
variables, and session variables are lost after reconnection).
--- snip ---

libapache2-mod-auth-mysql doesn't set the "reconnect" flag so it is
definitely affected by the change.

We've experienced many Apache authentication errors due to lost connections
to the MySQL server. The log file (with high Apache log level) says
  [debug] mod_auth_mysql.c(1223): Query maybe-failed: MySQL server has gone away (2006), lastchance=1

Please set the reconnect flag to 1 before mysql_real_connect() which will
hopefully resolve the problem.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (700, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libapache2-mod-auth-mysql depends on:
ii  apache2.2-common           2.2.3-4       Next generation, scalable, extenda
ii  libc6                      2.3.6.ds1-13  GNU C Library: Shared libraries
ii  libmysqlclient15off        5.0.32-7etch1 mysql database client library

libapache2-mod-auth-mysql recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#420010; Package libapache2-mod-auth-mysql. Full text and rfc822 format available.

Acknowledgement sent to Johann Glaser <glaser@ict.tuwien.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 420010@bugs.debian.org (full text, mbox):

From: Johann Glaser <glaser@ict.tuwien.ac.at>
To: 420010@bugs.debian.org
Subject: Re: Bug#420010: Patch
Date: Wed, 09 May 2007 10:18:27 +0200
[Message part 1 (text/plain, inline)]
Hi!

I've resolved the problem by modifying the sources. Please find attached
the patch.

The modified version is now running for more than two weeks and the
reported problem has not reappeared.

Bye
  Hansi

[reconnect.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#420010; Package libapache2-mod-auth-mysql. Full text and rfc822 format available.

Acknowledgement sent to Josef <pepus@atlas.cz>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #15 received at 420010@bugs.debian.org (full text, mbox):

From: Josef <pepus@atlas.cz>
To: 420010@bugs.debian.org
Subject: Re: Bug#420010: Patch
Date: Wed, 13 Jun 2007 10:58:30 +0200
Hello,
   will this patch be soon icluded in lenny release?



Reply sent to Matej Vela <vela@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johann Glaser <glaser@ict.tuwien.ac.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 420010-close@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 420010-close@bugs.debian.org
Subject: Bug#420010: fixed in libapache-mod-auth-mysql 4.3.9-5
Date: Tue, 12 Feb 2008 15:17:02 +0000
Source: libapache-mod-auth-mysql
Source-Version: 4.3.9-5

We believe that the bug you reported is fixed in the latest version of
libapache-mod-auth-mysql, which is due to be installed in the Debian FTP archive:

libapache-mod-auth-mysql_4.3.9-5.diff.gz
  to pool/main/liba/libapache-mod-auth-mysql/libapache-mod-auth-mysql_4.3.9-5.diff.gz
libapache-mod-auth-mysql_4.3.9-5.dsc
  to pool/main/liba/libapache-mod-auth-mysql/libapache-mod-auth-mysql_4.3.9-5.dsc
libapache2-mod-auth-mysql_4.3.9-5_i386.deb
  to pool/main/liba/libapache-mod-auth-mysql/libapache2-mod-auth-mysql_4.3.9-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 420010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matej Vela <vela@debian.org> (supplier of updated libapache-mod-auth-mysql package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 12 Feb 2008 15:55:39 +0100
Source: libapache-mod-auth-mysql
Binary: libapache2-mod-auth-mysql
Architecture: source i386
Version: 4.3.9-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matej Vela <vela@debian.org>
Description: 
 libapache2-mod-auth-mysql - Apache 2 module for MySQL authentication
Closes: 420010 437310
Changes: 
 libapache-mod-auth-mysql (4.3.9-5) unstable; urgency=low
 .
   * QA upload.
   * debian/patches/004-reconnect.dpatch: Automatically re-establish
     connections with MySQL 5.0.3+.  Thanks to Johann Glaser for the patch.
     Closes: #420010.
   * debian/rules: Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
     Closes: #437310.
   * debian/rules: Remove support for DEB_BUILD_OPTIONS=debug.
   * debian/rules: Don't ignore errors from `make distclean'.
   * Conforms to Standards version 3.7.3.
Files: 
 e35df6b38d669f9bdf8a6d726d96efb2 703 web optional libapache-mod-auth-mysql_4.3.9-5.dsc
 fc5e16316fda7f26bbbe19bea045e280 9106 web optional libapache-mod-auth-mysql_4.3.9-5.diff.gz
 0752c00b77ec463dbf73b953b6787a15 22442 web optional libapache2-mod-auth-mysql_4.3.9-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHsbPYqbYs6sQrY8oRArQNAJoC3UGbZiTf+auCqXX+RgJ8dEGqbACeOnJM
mLXYuCGpWG/b3PyxAgvqXD8=
=0z/p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Mar 2008 07:27:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:03:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.